﻿.card-header-truck {
    height: 10vh;
    background-color: #f0ecf4;
    position: relative;
    overflow: hidden;
}

.truck-login-header::before,
.truck-forgot-header::before {
    content: "";
    position: absolute;
    bottom: 0;
    width: 150px;
    height: 60px;
    background-image: url('/Content/Images/Material/header-login.gif');
    background-repeat: no-repeat;
    background-size: contain;
}

.truck-login-header::before {
    left: -150px;
    animation: driveRight 6s linear infinite;
}

.truck-forgot-header::before {
    right: -150px;
    transform: scaleX(-1);
    animation: driveLeft 6s linear infinite;
}

@keyframes driveRight {
    0% {
        left: -150px;
    }

    100% {
        left: 100%;
    }
}

@keyframes driveLeft {
    0% {
        right: -150px;
    }

    100% {
        right: 100%;
    }
}

.cyber-btn-shadow {
    display: inline-block;
    padding: 12px 24px;
    border-radius: 8px;
    letter-spacing: .15rem;
    font-weight: 700;
    text-decoration: none;
    color: #00f7ff;
    background: #0a0a0a;
    border: 2px solid #00f7ff;
    text-shadow: 0 0 5px #00f7ff, 0 0 10px #00e1ff, 0 0 20px #00aaff;
    box-shadow: 0 0 10px #00f7ff, inset 0 0 10px #00f7ff;
    transition: transform 0.3s ease;
    animation: rotate-shadow 3s linear infinite;
}

    .cyber-btn-shadow:hover {
        transform: scale(1.05);
    }

@keyframes rotate-shadow {
    0% {
        text-shadow: 0 0 5px #00f7ff, 0 0 10px #00e1ff, 0 0 20px #00aaff;
        box-shadow: 0 0 10px #00f7ff, inset 0 0 10px #00f7ff;
    }

    25% {
        text-shadow: 0 0 5px #ff00ff, 0 0 10px #ff33ff, 0 0 20px #cc00cc;
        box-shadow: 0 0 15px #ff00ff, inset 0 0 15px #ff00ff;
    }

    50% {
        text-shadow: 0 0 5px #ff8c00, 0 0 10px #ffa500, 0 0 20px #ffb84d;
        box-shadow: 0 0 15px #ff8c00, inset 0 0 15px #ff8c00;
    }

    75% {
        text-shadow: 0 0 5px #00ff00, 0 0 10px #66ff66, 0 0 20px #99ff99;
        box-shadow: 0 0 15px #00ff00, inset 0 0 15px #00ff00;
    }

    100% {
        text-shadow: 0 0 5px #00f7ff, 0 0 10px #00e1ff, 0 0 20px #00aaff;
        box-shadow: 0 0 10px #00f7ff, inset 0 0 10px #00f7ff;
    }
}
